Package org.apache.tools.ant.taskdefs

# Class Componentdef

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.AntlibDefinition
org.apache.tools.ant.taskdefs.DefBase
org.apache.tools.ant.taskdefs.Definer
org.apache.tools.ant.taskdefs.Componentdef

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class Componentdef
    extends Definer

Adds a component definition to the current project.

Used in the current project two attributes are needed, the name that identifies this component uniquely, and the full name of the class (including the packages) that implements this component.

Since:
  Ant 1.8

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Definer

  `Definer.Format, Definer.OnError`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Componentdef()` | Default constructor.

- ## Method Summary

  ### Methods inherited from class org.apache.tools.ant.taskdefs.Definer

  `addDefinition, execute, getClassname, getFile, getName, getResource, loadProperties, makeResourceFromURI, setAdapter, setAdapterClass, setAdaptTo, setAdaptToClass, setAntlib, setClassname, setFile, setFormat, setName, setOnError, setResource, setRestrict`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.DefBase

  `createClasspath, createLoader, getClasspath, getClasspathId, getLoaderId, hasCpDelegate, init, isReverseLoader, setClasspath, setClasspathRef, setLoaderRef, setReverseLoader`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.AntlibDefinition

  `getAntlibClassLoader, getURI, setAntlibClassLoader, setURI`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Componentdef

    public Componentdef()
    Default constructor. Creates a new Componentdef instance. Sets the restrict attribute to true.